module ArcGis.AppFramework.Controls is not installed

662
13
Jump to solution
07-31-2021 01:56 PM
lightpro
New Contributor III

Hi, I'm trying to build a copy of the quickcapture template. The cloud build process runs fine but when the android app is opened we just get a white screen.

Running the app in Appstudio Player gives the following screen which suggests that the issue lies with the Arcgis.AppFramework.Controls module. The documentation has nothing on this module. Is it deprecated? Any workaround?

Running AppStudio 4.4.77

lightpro_0-1627764871168.png

 

 

 

0 Kudos
1 Solution

Accepted Solutions
ErwinSoekianto
Esri Regular Contributor

@lightpro 

 

AppFramework.Controls has been deprecated for quite a bit and removed in AppStudio 5.0. https://doc.arcgis.com/en/appstudio/extend-apps/appframework.htm 

We recommend replacing that UI control that you are using with Qt Quick Control, https://doc.qt.io/qt-5/qtquickcontrols-index.html 

 

Erwin.  

View solution in original post

13 Replies
conde
by
New Contributor II

Hello,

I'm having the same problem. Anyone has any idea how to fix it?

0 Kudos
lightpro
New Contributor III

Removing the include for Arcgis.AppFramework.Controls from flickableTabBar.qml gets the app to work.

Unfortunately the ability to collect polylines does not work in the built app. Whey you try to collect a polyline the button flashes as expected but nothing gets recorded. Points do get collected although they don't get displayed on the map. I'm not sure why.

0 Kudos
conde
by
New Contributor II

I reverted my ArcGIS Appstudio and Appstudio player version from 5 to 4 and it worked.
I think Updates to AppStudio may result in updating the Qt framework or the ArcGIS Runtime instance that apps are built with.
My application does not work in version 5 probably because something has changed in the execution suite in the July upgrade.
And suddenly it can't load some modules (Esri.ArcGISRuntime.Toolkit.Dialogs and ArcGIS.appFramework.Controls).

0 Kudos
lightpro
New Contributor III

Strange, I'm running App Studio 4.4.77

Does the build work fine for you? Are you able to capture polylines?

0 Kudos
conde
by
New Contributor II

I don't use polyline capture on my app.

The app works well on Appstudio.
So I generated my application using cloudMake with the “Android Debug Certificate” signature.
Cannot install the generated * .apk file on a phone (Android 11).
The generated * .exe file installs well on a computer (Windows 10 Enterprise) but we get a white screen when launching the application.

So now i have another problem

0 Kudos
lightpro
New Contributor III

If you could test capturing a polyline on your app I'd appreciate it! Does it collect points ok in AppPlayer? Mine collects points fine in AppPlayer although does not display a marker on the screen.

The whitescreen issue is what I had (I installed on Android without testing in AppPlayer first), the only way I resolved it was to remove ArcGIS.appFramework.Controls

0 Kudos
jaykapalczynski
Frequent Contributor

can you please tell me how you did this....how did you revert.....I am in a huge time crunch and need to make a change and create a new app....I dont have time to rebuild my whole app

0 Kudos
lightpro
New Contributor III

I literally just deleted that line from the code. Search in the code for

ArcGIS.appFramework.Controls

That only got rid of the whitescreen issue. The new version of Quickcapture is available in AppStudio 5 so if you use that then I don't think this is an issue any longer. 

 

jaykapalczynski
Frequent Contributor

OK...I think I have other issues, Maybe you can help????

I have an app I wrote 7 months ago that is now having issues....I am trying to do some updates to it and I get the white screen...I can remove the framework.controls and that might help thank you

But now it appears I have other issues....

I was using am older template Quick Report App and now when I RUN it from QtCreator its telling me:

"Type QuickReportApp unavliable"

Is this due to the newer version of appstudio that it errors out?

Can I fix this by simply uninstalling the new version and install an older version of AppStudio and QtCreator?

 

 

jaykapalczynski_0-1632319886589.png

 

0 Kudos